import * as tsvfs from '@typescript/vfs';
import { LitElement } from 'lit';
declare global {
    interface HTMLElementTagNameMap {
        'play-editor': PlayEditor;
    }
}
export declare class PlayEditor extends LitElement {
    #private;
    static readonly styles: import("lit").CSSResult;
    env: tsvfs.VirtualTypeScriptEnvironment;
    private _root;
    protected render(): unknown;
    firstUpdated(): void;
}
